.\"                                      Hey, EMACS: -*- nroff -*-
.TH ROCKSNDIAMONDS 6 "November 9 2018"
.\" Please adjust this date whenever revising the manpage.

.SH NAME
rocksndiamonds \- starts the Rocks'n'Diamonds game

.SH SYNOPSIS
.B rocksndiamonds
.RI [ options ]
.br
.BR rocksndiamonds " [" \-\-debug "] " \-V | \-\-version
.br
.B rocksndiamonds \-\-serveronly
.br
.BR "rocksndiamonds \-e" | \-\-execute
.RI < command >

.SH DESCRIPTION
.B rocksndiamonds
starts the Rocks'n'Diamonds game.

.PP
.B rocksndiamonds \-V
displays the program's version information.
If the
.B \-\-debug
option is prepended, some of the dependencies' versions are displayed
too (currently, SDL).

.PP
.B rocksndiamonds \-\-serveronly
starts a network server (with no graphical output).

.PP
.B rocksndiamonds \-\-execute
.RI < command >
runs the given batch command (see
.B BATCH COMMANDS
for details).

.SH OPTIONS
.TP
.BR \-b ", " \-\-basepath " <" \fIpath\fP >
uses
.I path
as the base directory.
.TP
.BR \-l ", " \-\-level " <" \fIpath\fP >
uses
.I path
as the level directory.
.TP
.BR \-g ", " \-\-graphics " <" \fIpath\fP >
uses
.I path
as the graphics directory.
.TP
.BR \-s ", " \-\-sounds " <" \fIpath\fP >
uses
.I path
as the sounds directory.
.TP
.BR \-m ", " \-\-music " <" \fIpath\fP >
uses
.I path
as the music directory.
.TP
.BR \-\-mytapes
uses private tapes for tape tests.
.TP
.BR \-n ", " \-\-network " <" \fIhost\fP "> [<" \fIport\fP >]
starts a network game, connecting to the given
.I host
on the given
.IR port .
.TP
.BR \-v ", " \-\-verbose
enables verbose mode.
.TP
.B \-\-debug
displays debugging information.

.SH "BATCH COMMANDS"
.B rocksndiamonds \-\-execute
.RI < command >
recognises the following commands, which must be provided as a single
argument after
.BR \-\-execute :
.TP
.B \(dqprint graphicsinfo.conf\(dq
prints the default graphics configuration.
.TP
.B \(dqprint soundsinfo.conf\(dq
prints the default sounds configuration.
.TP
.B \(dqprint musicinfo.conf\(dq
prints the default music configuration.
.TP
.B \(dqprint editorsetup.conf\(dq
prints the default editor configuration.
.TP
.B \(dqprint helpanim.conf\(dq
prints the default helpanim config TODO
.TP
.B \(dqprint helptext.conf\(dq
prints the default help text configuration.
.TP
.B \(dqdump level \fR<\fIfile\fP>\fB\(dq
dumps the level data from
.IR file .
.TP
.B \(dqdump tape \fR<\fIfile\fP>\fB\(dq
dumps the tape data from
.IR file .
.TP
.B \(dqautotest \fR<\fIleveldir\fP> [<\fInumber\fP> [...]]\fB\(dq
tests level tapes for
.IR leveldir .
.TP
.B \(dqautoplay \fR<\fIleveldir\fP> [<\fInumber\fP> [...]]\fB\(dq
plays level tapes for
.IR leveldir .
.TP
.B \(dqautoffwd \fR<\fIleveldir\fP> [<\fInumber\fP> [...]]\fB\(dq
fast-forwards level tapes for
.IR leveldir .
.TP
.B \(dqautowarp \fR<\fIleveldir\fP> [<\fInumber\fP> [...]]\fB\(dq
warps level tapes for
.IR leveldir .
.TP
.B \(dqconvert \fR<\fIleveldir\fP> [<\fInumber\fP>]\fB\(dq
converts levels in
.IR leveldir .
.TP
.B \(dqcreate images \fR<\fIdirectory\fP>\fB\(dq
writes BMP images to
.IR directory .
.TP
.B \(dqcreate CE image \fR<\fIdirectory\fP>\fB\(dq
writes a custom element BMP image to
.IR directory .
